
% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de


% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de

% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

%%%%%%%%%%%%%%%%
%%% Packages %%%
%%%%%%%%%%%%%%%%
\RequirePackage{etoolbox}
\RequirePackage{fontawesome}
\RequirePackage{calc}
% Custom Packages
\RequirePackage{EKUT-metadata}
\RequirePackage{EKUT-macros}

%%%%%%%%%%%%%%%%%%
%%% Base Theme %%%
%%%%%%%%%%%%%%%%%%
\useoutertheme{split}

%%%%%%%%%%%%%%%%%
%%% Templates %%%
%%%%%%%%%%%%%%%%%

\setbeamertemplate{title page}{} % no title page

\setbeamertemplate{navigation symbols}{} % no navigation symbols

\setbeamertemplate{frametitle}{} % no frame title

\setbeamertemplate{bibliography item}{} % no icons for bibliography

%%% Headline / Title %%%
\defbeamertemplate*{headline}{}
{
  \vspace{0.5em}
  \begin{center}
    \hbox to \textwidth{
      \hfill
      \ifdefempty{\theleftheaderlogo}{~}{%
          \includegraphics[
            width=0.3\textwidth,height=0.2\textwidth,keepaspectratio
            ]{\theleftheaderlogo}%
          }%
      \ifdefempty{\therightheaderlogo}{~}{%
        \hfill
          \includegraphics[
            width=0.3\textwidth,height=0.2\textwidth,keepaspectratio
            ]{\therightheaderlogo}%
          }%
      \hfill
    }
    \par
    \vspace{2em}
    \ifdefempty{\inserttitle}{}
      {{\usebeamerfont{title}{\usebeamercolor[fg]{title}\inserttitle}}\\[0.5em]}
    \ifdefempty{\insertsubtitle}{}
      {{\usebeamerfont{subtitle}\insertsubtitle}\\[1em]}
    \vspace{0.5em}
    \ifdefempty{\insertauthor}{}
      {{\usebeamerfont{author}\insertauthor}\\[0.5em]}
    \ifdefempty{\insertinstitute}{}
      {{\usebeamerfont{institute in title}\insertinstitute}\\[0.8em]}
    \ifdefempty{\theconference}{}
      {{\usebeamerfont{conference in title}\theconference}\\[0.8em]}
    \ifdefempty{\thesession}{}
      {{\usebeamerfont{session in title}\thesession}\\[0.5em]}
  \end{center}
}

%%% Footline %%%
\newcommand{\footseparator}
  {{\bf\usebeamercolor[fg]{fine separation line}}}
\defbeamertemplate*{footline}{} % footline-Format
{
  \vspace{2em}
  \hbox to \paperwidth{
    \usebeamerfont{footline}
    \hspace{0.5em}
    \ifdefempty{\theshortauthor}{}
      {\hfill \insertshortauthor}
    \ifdefempty{\theshortinstitute}{}
      {\hfill \footseparator \hfill\insertshortinstitute}
    \ifdefempty{\theaddress}{}{\hfill\footseparator\hfill
      {\usebeamerfont{icon in foot}{\faicon{envelope}}}\,\theaddress}
    \ifdefempty{\thetelephone}{}{\hfill\footseparator\hfill
      {\usebeamerfont{icon in foot}{\faicon{phone}}}\,\thetelephone}
    \ifdefempty{\theemail}{}{\hfill\footseparator\hfill
      {\usebeamerfont{icon in foot}{\faicon{at}}}\,\href
        {mailto:\theemail?subject=Your Poster}
        {{\usebeamerfont{email}\theemail}}}
    \ifdefempty{\thewebsite}{}{\hfill\footseparator\hfill
      {\usebeamerfont{website in foot}{\faicon{globe}}}\,\thewebsite}
    \ifdefempty{\thetwitter}{}{\hfill\footseparator\hfill
      \href{https://twitter.com/@\thetwitter}
        {{\usebeamerfont{icon in foot}{\faicon{twitter}}}\,@\thetwitter}}
    \ifdefempty{\thegitlab}{}{\hfill\footseparator\hfill\href
      {https://gitlab.com/\thegitlab}
      {{\usebeamerfont{icon in foot}{\faicon{gitlab}}}\,\thegitlab}}
    \ifdefempty{\thegithub}{}{\hfill\footseparator\hfill
      {\usebeamerfont{icon in foot}{\faicon{github}}}\,\thegithub}
    \ifdefempty{\insertdate}{}{\hfill\footseparator\hfill\insertdate}
    \ifdefempty{\thecopyrighttext}{}{\hfill\footseparator\hfill\thecopyrighttext}
    \ifdefempty{\thecopyrighticon}{}{\hfill\footseparator\hfill
        \verticallycenteredbox
          {\includegraphics[height=\heightof{A}]{\thecopyrighticon}}}
    \hfill
    \hspace{0.5em}
  }
  \vspace{2em}
}

